Subject: bug#31483: 25.2; handling of links in eww

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 May 2019 15:23:56 -0400

Jevon Longdell <[email-masked]> writes:

> I have to admit that I am responsible for this webpage and a bit of an
> amateur so it might be my shoddy HTML is at fault. That said all other
> browsers I have tried have no problems.
>
> the HTML for the link in that is followed incorrectly is:
> <a href="http:linearsystems">ELEC441 Course Documents</a>

libxml2 gives this result when parsing that HTML:

(html nil (body nil (a ((href . "http:linearsystems")) "ELEC441 Course Documents")))

So if some guessing is to be added to the URL parsing, I think that
should go in libxml2, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no